package com.modcrafting.security;

import org.bukkit.ChatColor;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.entity.Player;
import org.bukkit.event.block.BlockBreakEvent;
import org.bukkit.event.block.BlockListener;
import org.bukkit.event.block.BlockPlaceEvent;

public class SecurityDragonBlockListener extends BlockListener{
	SecurityDragon plugin;
	public SecurityDragonBlockListener(SecurityDragon securityDragon) {
		this.plugin = securityDragon;
	}
	public void onBlockPlace(BlockPlaceEvent event){
		YamlConfiguration config = (YamlConfiguration) plugin.getConfig();
		if(plugin.openlogins) return;
		Player player = event.getPlayer();
		if(plugin.ingamelogin){	
			if(plugin.loggedPlayers.contains(player.getName().toLowerCase())){
				return;
			}else{
				String adminMsg = config.getString("messages.Disabledplace", "You must register!");
				player.sendMessage(ChatColor.GRAY + adminMsg);
				event.setCancelled(true);
			}
		}
		if(!plugin.allowedPlayers.contains(player.getName().toLowerCase())){
		String adminMsg = config.getString("messages.Disabledplace", "You must register!");
		player.sendMessage(ChatColor.GRAY + adminMsg);
		event.setCancelled(true);
		}
	 }
	public void onBlockBreak(BlockBreakEvent event){
		YamlConfiguration config = (YamlConfiguration) plugin.getConfig();
		if(plugin.openlogins) return;
		Player player = event.getPlayer();
		if(plugin.ingamelogin){	
			if(plugin.loggedPlayers.contains(player.getName().toLowerCase())){
				return;
			}else{
				String adminMsg = config.getString("messages.Disabledbreak", "You must register!");
				player.sendMessage(ChatColor.GRAY + adminMsg);
				event.setCancelled(true);
			}
		}
		if(!plugin.allowedPlayers.contains(player.getName().toLowerCase())){
		String adminMsg = config.getString("messages.Disabledbreak", "You must register!");
		player.sendMessage(ChatColor.GRAY + adminMsg);
		event.setCancelled(true);
		}
	}

}
